
%global meadversion 1.7.6
%global namedversion 1.7.6.redhat-2
%global meadalpha .redhat_2
%global meadrel .1
%global serial 7
%global namedversionrel redhat-2

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}avro}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.7.6.redhat-2

Name:           %{?scl_prefix}avro
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache Avro
Group:          Development/Java

%if %with mead
Source100: avro-toplevel-1.7.6.redhat-2-scm-sources.zip
Source102: trevni-avro-1.7.6.redhat-2.jar
Source103: trevni-avro-1.7.6.redhat-2.pom
Source104: trevni-avro-1.7.6.redhat-2-tests.jar
Source105: trevni-avro-1.7.6.redhat-2-hadoop1.jar
Source106: trevni-avro-1.7.6.redhat-2-sources.jar
Source107: avro-maven-plugin-1.7.6.redhat-2.jar
Source108: avro-maven-plugin-1.7.6.redhat-2.pom
Source109: avro-maven-plugin-1.7.6.redhat-2-sources.jar
Source110: trevni-java-1.7.6.redhat-2.pom
Source111: trevni-core-1.7.6.redhat-2.jar
Source112: trevni-core-1.7.6.redhat-2-sources.jar
Source113: trevni-core-1.7.6.redhat-2.pom
Source114: trevni-core-1.7.6.redhat-2-tests.jar
Source115: avro-ipc-1.7.6.redhat-2.pom
Source116: avro-ipc-1.7.6.redhat-2.jar
Source117: avro-ipc-1.7.6.redhat-2-tests.jar
Source118: avro-ipc-1.7.6.redhat-2-sources.jar
Source119: avro-compiler-1.7.6.redhat-2-sources.jar
Source120: avro-compiler-1.7.6.redhat-2.pom
Source121: avro-compiler-1.7.6.redhat-2.jar
Source122: avro-tools-1.7.6.redhat-2.jar
Source123: avro-tools-1.7.6.redhat-2.pom
Source124: avro-tools-1.7.6.redhat-2-sources.jar
Source125: avro-tools-1.7.6.redhat-2-nodeps.jar
Source126: avro-archetypes-parent-1.7.6.redhat-2.pom
Source127: avro-protobuf-1.7.6.redhat-2-sources.jar
Source128: avro-protobuf-1.7.6.redhat-2.pom
Source129: avro-protobuf-1.7.6.redhat-2.jar
Source130: avro-thrift-1.7.6.redhat-2.pom
Source131: avro-thrift-1.7.6.redhat-2-sources.jar
Source132: avro-thrift-1.7.6.redhat-2.jar
Source133: avro-parent-1.7.6.redhat-2.pom
Source134: trevni-doc-1.7.6.redhat-2.pom
Source135: trevni-doc-1.7.6.redhat-2-site.xml
Source136: avro-mapred-1.7.6.redhat-2.jar
Source137: avro-mapred-1.7.6.redhat-2.pom
Source138: avro-mapred-1.7.6.redhat-2-hadoop1.jar
Source139: avro-mapred-1.7.6.redhat-2-sources.jar
Source140: avro-toplevel-1.7.6.redhat-2-project-sources.tar.gz
Source141: avro-toplevel-1.7.6.redhat-2.pom
Source142: avro-1.7.6.redhat-2.jar
Source143: avro-1.7.6.redhat-2.pom
Source144: avro-1.7.6.redhat-2-tests.jar
Source145: avro-1.7.6.redhat-2-sources.jar
Source146: avro-service-archetype-1.7.6.redhat-2.jar
Source147: avro-service-archetype-1.7.6.redhat-2.pom
Source148: avro-service-archetype-1.7.6.redhat-2-sources.jar
%endif

License:        ASL 2.0
URL:            http://avro.apache.org
%if 0
Requires:       %{?scl_prefix_eap}jackson-core-asl >= 0:1.9.13
Requires:       %{?scl_prefix_eap}jackson-mapper-asl >= 0:1.9.13
%endif
# These are excluded via the wildfly pom
%if 0
Requires:       %{?scl_prefix_eap}paranamer >= 0:2.3
Requires:       %{?scl_prefix_eap}snappy-java >= 0:1.0.5
Requires:       %{?scl_prefix_eap}commons-compress >= 0:1.4.1
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Avro core components.

%if %with javadoc
%package javadoc
Summary:        Javadoc for avro
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n avro -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/avro-%{namedversion}.jar %{buildroot}%{_javadir}/avro-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/avro-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/avro-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/avro-%{namedversion}-sources.jar %{buildroot}%{_javadir}/avro-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/avro-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/avro-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/avro-%{namedversion} -x META-INF/\*
%{__ln_s} avro-%{namedversion} %{buildroot}%{_javadocdir}/avro
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc BUILD.txt CHANGES.txt DIST_README.txt LICENSE.txt NOTICE.txt README.txt
%{_javadir}/avro-%{namedversion}.jar
%{_javadir}/avro.jar
%if %with javadoc
%{_javadir}/avro-%{namedversion}-javadoc.jar
%{_javadir}/avro-javadoc.jar
%endif
%{_javadir}/avro-%{namedversion}-sources.jar
%{_javadir}/avro-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/avro-%{namedversion}
%{_javadocdir}/avro
%endif

%changelog
* Mon Jun 11 2018 Permaine Cheung <pcheung@redhat.com> - 1.7.6-7.redhat_2.1
- Rewrap for 7.2.0

* Wed May 16 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.7.6-6.redhat_2.1
- upgrade to 1.7.6.redhat-2

* Wed May 16 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.7.6-6.redhat_2.1
- upgrade to 1.7.6.redhat-2

* Mon Jun 26 2017 Petr Sakar <psakar@redhat.com> - 1.8.1-2.redhat_2.1
- upgrade to 1.8.1.redhat-2

* Mon Feb 06 2017 Petr Sakar <psakar@redhat.com> - 1.8.1-1.redhat_1.1
- upgrade to 1.8.1.redhat-1

* Thu Jun 11 2015 David Walluck <dwalluck@redhat.com> - 1.7.6-2.redhat_1.1
- rebuild without Requires

* Thu May 28 2015 David Walluck <dwalluck@redhat.com> - 1.7.6-1.redhat_1.1
- release

* Thu Nov 06 2014 David Stahl <dstahl@redhat.com> - 1.7.5-2.redhat_2.1
- Upgrade to 1.7.5.redhat-2

* Tue Nov 04 2014 David Walluck <dwalluck@redhat.com> 0:1.7.5-1
- release
